中危 graphicsmagick 缓冲区溢出拒绝服务代码执行漏洞

CVE编号

CVE-2007-0770

利用情况

暂无

补丁情况

没有补丁

披露时间

2007-02-13
漏洞描述
GraphicsMagick和ImageMagick中的缓冲区溢出允许用户协助的远程攻击者通过coders/PALM.c中的ReadPALMImage函数未正确处理的PALM图像来引起拒绝服务,并可能执行任意代码。注意:此问题是由于CVE-2006-5456的一个不完整修补程序造成的。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 graphicsmagick graphicsmagick * -
运行在以下环境
应用 imagemagick imagemagick 6.3.3.4 -
运行在以下环境
系统 debian_3.1 imagemagick * Up to
(excluding)
6:6.0.6.2-2.9
阿里云评分
5.6
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    没有补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
NVD-CWE-Other
阿里云安全产品覆盖情况